@echo off
REM This batch file is used to update project to enable Dev11 features
setlocal
set "CollectionURL=%1"
set "ProjectName=%~2"
set "DefinitionDirectory=%3"

if "%CollectionURL%" == "" goto fail
if "%ProjectName%" == "" goto fail
if "%DefinitionDirectory%" == "" goto fail
set "DefinitionDirectory=%~dp0\%3"
if not exist %DefinitionDirectory% goto fail

if %errorlevel% == 0 call :importwitd CodeReviewRequest.xml
if %errorlevel% == 0 call :importwitd CodeReviewResponse.xml
if %errorlevel% == 0 call :importwitd FeedbackRequest.xml
if %errorlevel% == 0 call :importwitd FeedbackResponse.xml
if %errorlevel% == 0 call :importcategories Categories.xml
if %errorlevel% == 0 call :importcommonprocessconfig CommonConfiguration.xml
if %errorlevel% == 0 call :importagileprocessconfig AgileConfiguration.xml


goto end

:importwitd
REM execute witadmin to import a workitem type
@echo on
witadmin importwitd /collection:%CollectionURL% /p:"%ProjectName%" /f:"%DefinitionDirectory%\%1"
@echo off
goto :eof

:importcategories
REM execute witadmin to import workitem type categories
@echo on
witadmin importcategories /collection:%CollectionURL% /p:"%ProjectName%" /f:"%DefinitionDirectory%\%1"
@echo off
goto :eof

:importcommonprocessconfig
REM execute witadmin to import common configuration
@echo on
witadmin importcommonprocessconfig /collection:%CollectionURL% /p:"%ProjectName%" /f:"%DefinitionDirectory%\%1"
@echo off
goto :eof

:importagileprocessconfig
REM execute witadmin to import agile configuration
@echo on
witadmin importagileprocessconfig /collection:%CollectionURL% /p:"%ProjectName%" /f:"%DefinitionDirectory%\%1"
@echo off
goto :eof

:fail
echo Command failed please check parameters

:end